image: fabianm/comp1110-2025-s1-gitlab-ci:0.1.0

stages:
  - compliance
  - build
  - test

compliance:
  tags:
    - comp1110
  stage: compliance
  script:
    - python3 /u2/checkrepofiles.py
  allow_failure: true

build:
  tags:
    - comp1110
  stage: build
  script:
    - /u2/compile.sh
    
  artifacts:
    paths:
      - ./*.class
      
testInterface:
  tags:
    - comp1110
  stage: test
  script:
    - /u2/testinterface.sh
  allow_failure: true

testRecursion:
  tags:
    - comp1110
  stage: test
  script:
    - /u2/runstudenttests.sh Recursion.java
  allow_failure: true
    
testExpressions:
  tags:
    - comp1110
  stage: test
  script:
    - /u2/runstudenttests.sh Expressions.java
  allow_failure: true
